using Brizco.Domain.Entities.User;

namespace Brizco.Domain.Entities.Complex;

[AdaptTwoWays("[name]SDto", IgnoreAttributes = new[] { typeof(AdaptIgnoreAttribute) }, MapType = MapType.Map | MapType.MapToTarget | MapType.Projection)]
[AdaptTwoWays("[name]LDto", IgnoreAttributes = new[] { typeof(AdaptIgnoreAttribute) }, MapType = MapType.Map | MapType.MapToTarget)]
[AdaptTo("[name]LDto", IgnoreAttributes = new[] { typeof(AdaptIgnoreAttribute) }, MapType = MapType.Projection)]
[GenerateMapper]
public partial class Complex : ApiEntity
{
    public Complex()
    {
        
    }

    public Complex(string name , string address,string supportPhone)
    {
        Name = name;
        Address = address;
        SupportPhone = supportPhone;
    }
    public string Name { get; internal set; } = string.Empty;
    public string Address { get; internal set; } = string.Empty;
    public string SupportPhone { get; internal set; } = string.Empty;

    public List<ApplicationRole> Roles { get; set; } = new();
    public List<Task.Task> Tasks { get; set; } = new();
    public List<Shift.Shift> Shifts { get; set; } = new();
    public List<ComplexUser> Users { get; set; } = new();
}

